%define	name	wfrench
%define	version	1.2.3
%define	release	%mkrel 2

Summary:	french dictionary for words
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv2+
Group:		Office/Dictionary
Source0:	http://ftp.lip6.fr/pub/linux/distributions/Ubuntu/pool/main/w//%{name}/%{name}_%{version}.orig.tar.gz
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The mailcap file is used by the metamail program.  Metamail reads the
mailcap file to determine how it should display non-text or multimedia
material.  Basically, mailcap associates a particular type of file
with a particular program that a mail agent or other program can call
in order to handle the file.

Mailcap should be installed to allow certain programs to be able to
handle non-text files.

%prep
%setup -q

#%build
#make

%install
rm -rf %{buildroot}
%{__mkdir_p}  $RPM_BUILD_ROOT/%{_datadir}/dict
perl -p -e "s~e\'~é~g;s~e\`~è~g;s~e\^~ê~g;s~a\`~à~g;s~a\^~â~g;s~i\^~î~g;s~o\^~ô~g;s~U\`~ù~g;s~u\^~û~g;s~c,~ç~g;s~E\'~É~g;s~E\`~È~g;s~E\^~Ê~g;s~A\`~À~g;s~A\^~Â~g;s~I\^~Î~g;s~O\^~Ô~g;s~u\`~Ù~g;s~U\^~Û~g;s~C,~ç~g" -e ';s~e"~ë~g;s~a"~ä~g;s~i"~ï~g;s~o"~ö~g;s~u"~ü~g;s~E"~Ë~g;s~A"~Ä~g;s~I"~Ï~g;s~O"~Ö~g;s~U"~Ü~g' dico > $RPM_BUILD_ROOT/%{_datadir}/dict/french

%post
ln -sf %{_datadir}/dict/french %{_datadir}/dict/web2

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_datadir}/dict/french


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1.2.3-2.mga3
+ Revision: 385684
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 27 2012 bcornec <bcornec> 1.2.3-1.mga3
+ Revision: 298541
- Filter the french dict accents to be UTF8 compliant
- Adds a french dictionary for the words program as an alternate one
- Created package structure for wfrench.

